Subject: comint-previous-input could put the cursor where it was

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 02 Oct 2017 18:33:52 +0800

In bash, ^P puts the cursor at the same spot where it was (when we hit
RET) last command. In emacs shell mode, M-p (comint-previous-input)
always puts the cursor at the end of the line, no matter what. Perhaps
it could be made to be like bash... at least for the latest previous
command.